export class BiMap {
    constructor(array) {
        this.i_sMap = new Map();
        this.s_iMap = new Map();

        for (let a of array) {
            this.set(a.id, a.str);
        }
    }

    set(int, str) {
        this.i_sMap.set(int, str);
        this.s_iMap.set(str, int);
    }

    getStr(int) {
        return this.i_sMap.get(int);
    }

    getInt(str) {
        return this.s_iMap.get(str);
    }
}
